Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608698 - ABRT should include an indication of server fault in error message it displays to the user
ABRT should include an indication of server fault in error message it display...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Moskovcak
Michal Nowak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 09:52 EDT by Michal Nowak
Modified: 2015-02-01 17:52 EST (History)
7 users (show)

See Also:
Fixed In Version: abrt-1.1.8-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:33:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2010-06-28 09:52:08 EDT
Description of problem:

When reported crash via RHTSupport the case is created but it seems there was some problem with attaching attachment.

"""
Case created: http://support-services-devel.gss.redhat.com:8080/Strata/cases/00014501, but report attachment failed: The property has a getter "public int com.redhat.gss.strata.client.Tags.getLength()" but no setter. For unmarshalling, please define setters. (Or if this is a collection property, make sure that the getter returns a collection instance.)The property has a getter "public int com.redhat.gss.strata.client.Tags.getLength()" but no setter. For unmarshalling, please define setters. (Or if this is a collection property, make sure that the getter returns a collection instance.)
"""

Version-Release number of selected component (if applicable):

abrt-1.1.7-2.el6.x86_64
Comment 1 RHEL Product and Program Management 2010-06-28 10:02:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Jiri Moskovcak 2010-06-28 15:10:23 EDT
Seems more like a problem on the server side...
Comment 3 Michal Nowak 2010-06-29 04:33:31 EDT
ahecox, gavin: Does anyone of you know?
Comment 4 Gavin Romig-Koch 2010-06-29 08:10:47 EDT
This is defiantly server side.

The HTTP response code that ABRT recieves from the server should be >= 500 indicating a server side error.  If possible ABRT should include an indication of that in the error message it displays to the user.
Comment 5 Denys Vlasenko 2010-06-30 05:29:40 EDT
I am changing this error message to always include HTTP code:

Case created: URL but report attachment failed (HTTP code NNN)[: error message from "Strata-Message:" header, or curl error + HTTP body]

This fix will be in abrt-1.1.8
Comment 6 Denys Vlasenko 2010-06-30 06:22:26 EDT
Gavin, I am reassigning the bug to you, per your comment that this is a server-side problem.

If you will determine that abrt side needs changing in order for attaching to work, please reassign back to me.
Comment 7 Gavin Romig-Koch 2010-06-30 11:17:02 EDT
(In reply to comment #6)
> I am reassigning the bug to you, per your comment that this is a
> server-side problem.
> 
> If you will determine that abrt side needs changing in order for attaching to
> work, please reassign back to me.    


This isn't a good place to track server side problems.  This bz should just be about adding the http code to the error message.  The server people are aware of this problem and are working on it.

Once the server is working better, we will need to retest the Strata plugins in both ABRT and Report, and if we find problems that must be fixed in the plugins we will create new blocker-exception-the-world-is-falling bz's for those.
Comment 8 Gavin Romig-Koch 2010-06-30 11:21:00 EDT
(In reply to comment #5)
> I am changing this error message to always include HTTP code:
> 
> Case created: URL but report attachment failed (HTTP code NNN)[: error message
> from "Strata-Message:" header, or curl error + HTTP body]
> 
> This fix will be in abrt-1.1.8    

While this is better than nothing, I think it would be better if abrt distinguished http codes between 400-499 (user or client side errror) from those between 500-599 (server side errors).
Comment 12 releng-rhel@redhat.com 2010-11-10 14:33:22 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.